﻿@model WebApp.Models.ReservationVM

@{
    ViewData["Title"] = "Index";
}

<h4>Book this reservation ?</h4>
<hr />
<div class="row">
    <div class="col-md-4" style="background-color:azure">
        <form asp-action="Index">
            <input asp-for="IdRoom" type="hidden" />
            <input asp-for="DateStart" type="hidden" />
            <input asp-for="DateEnd" type="hidden" />
            <input asp-for="Price" type="hidden" />
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label for="fname" class="control-label">Firstname</label>
                <input type="text" name="fname" class="form-control" required />
            </div>
            <div class="form-group">
                <label for="lname" class="control-label">Lastname</label>
                <input type="text" name="lname" class="form-control" required />
            </div>
            <div class="form-group">
                <label for="email" class="control-label">Email</label>
                <input type="text" name="email" class="form-control" required />
            </div>
            <div class="form-group">
                <label class="control-label">From :</label>
                <span class="form-control">@Html.DisplayFor(model => model.DateStart)
            </span>

            </div>
            <div class="form-group">
                <label class="control-label">To :</label>
                <span class="form-control">@Html.DisplayFor(model => model.DateEnd)
                </span>
            </div>
            <div class="form-group">
                <label class="control-label">Total Price :</label>
                <span class="form-control">@Html.DisplayFor(model => model.Price) CHF
                </span>
            </div>
            <br />

            <div class="form-group">
                <input type="submit" value="Confirm reservation" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a href="javascript:history.back()" class="btn btn-light" role="button" aria-pressed="true" style="margin: 10px">Back</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
